RequestGroupInfo (Apache Tomcat 9.0.102 API Documentation)
Description: declaration: package: org.apache.coyote, class: RequestGroupInfo

Package org.apache.coyote

# Class RequestGroupInfo

java.lang.Object
org.apache.tomcat.util.modeler.BaseModelMBean
org.apache.coyote.RequestGroupInfo

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`, `ModelMBeanNotificationBroadcaster`, `NotificationBroadcaster`

public class RequestGroupInfo extends BaseModelMBean
Only as a JMX artifact, to aggregate the data collected from each RequestProcessor thread.

- ## Field Summary

  ### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

  `attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestGroupInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRequestProcessor(RequestInfo rp)`
  `long`
  `getBytesReceived()`
  `long`
  `getBytesSent()`
  `int`
  `getErrorCount()`
  `long`
  `getMaxTime()`
  `long`
  `getProcessingTime()`
  `int`
  `getRequestCount()`
  `void`
  `removeRequestProcessor(RequestInfo rp)`
  `void`
  `resetCounters()`
  `void`
  `setBytesReceived(long bytesReceived)`
  `void`
  `setBytesSent(long bytesSent)`
  `void`
  `setErrorCount(int errorCount)`
  `void`
  `setMaxTime(long maxTime)`
  `void`
  `setProcessingTime(long totalTime)`
  `void`
  `setRequestCount(int requestCount)`

  ### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

  `addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RequestGroupInfo

    public RequestGroupInfo()

- ## Method Details

  - ### addRequestProcessor

    public void addRequestProcessor(RequestInfo rp)

  - ### removeRequestProcessor

    public void removeRequestProcessor(RequestInfo rp)

  - ### getMaxTime

    public long getMaxTime()

  - ### setMaxTime

    public void setMaxTime(long maxTime)

  - ### getProcessingTime

    public long getProcessingTime()

  - ### setProcessingTime

    public void setProcessingTime(long totalTime)

  - ### getRequestCount

    public int getRequestCount()

  - ### setRequestCount

    public void setRequestCount(int requestCount)

  - ### getErrorCount

    public int getErrorCount()

  - ### setErrorCount

    public void setErrorCount(int errorCount)

  - ### getBytesReceived

    public long getBytesReceived()

  - ### setBytesReceived

    public void setBytesReceived(long bytesReceived)

  - ### getBytesSent

    public long getBytesSent()

  - ### setBytesSent

    public void setBytesSent(long bytesSent)

  - ### resetCounters

    public void resetCounters()